use crate::Route;
use yew::functional::*;
use yew::prelude::*;
use yew_router::prelude::*;

#[function_component(Root)]
pub fn root() -> Html {
    let app_state = use_context::<crate::AppState>().expect("no context found");

    let achievements = app_state
        .state
        .achievements
        .iter()
        .map(|a| {
            html! {
                <p>{format!("{}", a.goal)}</p>
            }
        })
        .collect::<Html>();

    html! {
        <div>
            {achievements}
        </div>
    }
}
